"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.MemoryStorage = void 0;
var MemoryStorage = /** @class */ (function () {
    function MemoryStorage() {
        this.items = new Map();
    }
    MemoryStorage.prototype.setItem = function (key, value) {
        this.items.set(key, value);
    };
    MemoryStorage.prototype.getItem = function (key) {
        return this.items.get(key) !== undefined ? this.items.get(key) : null;
    };
    MemoryStorage.prototype.key = function (index) {
        var mapIterator = this.items.values();
        var item;
        for (var i = 0; i <= index; i++) {
            item = mapIterator.next();
        }
        if (!item) {
            return null;
        }
        return item.value !== undefined ? item.value : null;
    };
    MemoryStorage.prototype.removeItem = function (key) {
        this.items.delete(key);
    };
    MemoryStorage.prototype.clear = function () {
        this.items.clear();
    };
    Object.defineProperty(MemoryStorage.prototype, "length", {
        get: function () {
            return this.items.size;
        },
        enumerable: false,
        configurable: true
    });
    return MemoryStorage;
}());
exports.MemoryStorage = MemoryStorage;
exports.default = new MemoryStorage();
//# sourceMappingURL=memory-storage.js.map